//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <complex>
#include <cstdlib>
#include <limits>

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main (int argc, char* argv[])
{

  complex<long double> c1, c2;

  while (cin.peek() != EOF) {

      //    
      cin >> c1;
      if (!cin) {
        cerr << ToRus(" ") << endl;
        return EXIT_FAILURE;
      }

      //    
      cin >> c2;
      if (!cin) {
          cerr << ToRus(" ") << endl;
          return EXIT_FAILURE;
      }

      if (c1 == c2) {
          cout << ToRus("c1  c2 !\n") << endl;
      }

      cout << ToRus("   c1: ") << c1 <<endl;
      cout << ToRus("   c2: ") << c2 <<endl;
      cout << ToRus("c1   c2: ") << pow(c1,c2)
           << endl << endl;

      //    
      cin.ignore(numeric_limits<int>::max(),'\n');
    }


  getch();
  return 0;
}

//---------------------------------------------------------------------------